# $Id: bmcsenseors.spec,v 1.2 2009/03/02 23:53:29 slords Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.9-78.0.13.EL}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name bmcsensors
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i586 i686 x86_64
%define smpvar smp
%endif
%ifarch i686
%define hugememvar hugemem
%define xenvar xenU
%endif
%ifarch x86_64
%define largesmpvar largesmp
%define xenvar xenU
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?hugememvar} %{?largesmpvar} %{?xenvar}}
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp'

Name:           %{kmod_name}-kmod
Version:        1.0
Release:        20050320.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel modules

Group:          System Environment/Kernel
License:        GPL
Source0:        %{kmod_name}-%{version}-src.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i586 i686 x86_64

%description
bmcsensors, a IPMI compatible driver for lm_sensors
%{summary}.

%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c
echo 'obj-m += i2c-ipmi.o bmcsensors.o' > %{kmod_name}/Makefile
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name} _kmod_build_$kvariant
done

%build
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants} ; do
    ks=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    make -C $ks SUBDIRS=${PWD}/_kmod_build_$kvariant modules
    make -C $ks SUBDIRS=${PWD}/_kmod_build_$kvariant modules_install \
        INSTALL_MOD_PATH=$RPM_BUILD_ROOT modinst_dir='$(MODLIB)/updates/'%{kmod_name}
done
chmod +x $RPM_BUILD_ROOT/lib/modules/*/updates/%{kmod_name}/*.ko

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar  3 2009 Shad L. Lords <slords@mail.com>
- Initial package.

